# 「Java7/8を活かすコードへの移行」のサンプルコード

WEB+DB PRESSVol.92の連載「Javaの新定石」第1回「Java7/8を活かすコードへの移行 ……Project Coin、NIO.2、Project Lambda」のサンプルコードです。

レガシー版のサンプルコードとモダン版のサンプルコードをそれぞれ別パッケージで提供しています。
両方を見比べながらJava7/8の機能をご確認ください。

## ファイル構成

* `src/main/java/legacy`：レガシー版のコードが格納されているパッケージ
* `src/main/java/legacy/Main.java`：レガシー版のエントリーポイント
* `src/main/java/modern`：モダン版のコードが格納されているパッケージ
* `src/main/java/modern/Main.java`：モダン版のエントリーポイント
* `src/test/java/legacy`：レガシー版のコードに対するユニットテストが格納されているパッケージ
* `src/test/java/modern`：モダン版のコードに対するユニットテストが格納されているパッケージ
* `src/test/java/SmokeAndCompareTest.java`：レガシー版とモダン版の実行結果に差異がない事を確認するためのテスト
* `src/test/resources`：テストに使用する画像ファイルを格納している
* `build.gradle`, `gradle`, `gradlew`, `gradlew.bat`：Gradle関連のファイル・ディレクトリ
* `LICENSE`：ライセンス
* `README.md`：このファイル

## ライセンス

このサンプルコード一式は[The MIT License](https://opensource.org/licenses/MIT)のもとに提供します。

## 作者

のざき、うらがみ

