package modern;

import static org.assertj.core.api.Assertions.*;

import java.io.File;
import java.nio.file.Path;
import java.nio.file.Paths;

import org.junit.Test;

public class SourceTest {

    @Test
    public void 相対パス() throws Exception {
        Path file = Paths.get("foo", "bar", "baz", "hoge.jpg");
        Path srcDir = Paths.get("foo", "bar");
        String path = Source.relativePath(srcDir, file);
        assertThat(path).isEqualTo("baz" + File.separator + "hoge.jpg");
    }
}
